"use strict";
const jsxRuntime = require("./jsx-runtime-ec586afa.cjs");
const require$$0 = require("react");
require("./AlphabetFilter.component-c8e95031.cjs");
const helper = require("./helper-c4fbda62.cjs");
require("./Users.component-2df569a6.cjs");
require("./Toast.component-05b43768.cjs");
require("./Testimonials.component-59a34c7c.cjs");
require("./Team.component-dbfbef72.cjs");
require("./Steps.component-c289f782.cjs");
require("./Stats.component-e2e0309a.cjs");
require("./Snackbar.component-c65a0fcb.cjs");
require("./SignInUp.component-def4d17d.cjs");
require("./Services.component-815a7709.cjs");
require("./RichText.component-b5f5c1d7.cjs");
require("./Reviews.component-0e898f83.cjs");
require("./Projects.component-60383f3e.cjs");
require("./ProductInfo.component-a918aa46.cjs");
require("./Pricing.component-06fc1798.cjs");
require("./Portfolio.component-fa26a907.cjs");
require("./Notifications.component-aef2c763.cjs");
require("./Newsletter.component-7db05a14.cjs");
require("./LogoClouds.component-41dea52a.cjs");
require("./Integrations.component-3856a44f.cjs");
require("./InstaPhotos.component-84a2aaef.cjs");
require("./HowItWorks.component-3059cbbf.cjs");
require("./Hero.component-19300fa6.cjs");
require("./HttpCode.component-3a95e62d.cjs");
require("./Graph.component-93c64f77.cjs");
require("./GraphTiles.component-87965f2c.cjs");
require("./Gallery.component-f11e0a8c.cjs");
require("./Form.component-578544a5.cjs");
require("./Footer.component-4be9ebc1.cjs");
require("./Features.component-bd0480fa.cjs");
require("./Faq.component-50630a66.cjs");
require("./Empty.component-105a7c7d.cjs");
require("./EcommProducts.component-e157e334.cjs");
require("./EcommOrders.component-5c65ef9f.cjs");
require("./Download.component-a8a3a1e8.cjs");
require("./Dashboard.component-f7bf9026.cjs");
require("./Cookies.component-04b11514.cjs");
require("./Content.component-9e1673a6.cjs");
require("./Contact.component-db87cf01.cjs");
require("./Careers.component-a12c6724.cjs");
require("./Card.component-ff2ab67d.cjs");
require("./Cta.component-e8a1b5d9.cjs");
require("./Breadcrumbs.component-4f9beea4.cjs");
require("./Brands.component-0824e0e9.cjs");
require("./Blog.component-e6f2bc76.cjs");
require("./Benefits.component-fdd97e2f.cjs");
require("./Banner.component-30b783b1.cjs");
require("./Application.component-d2098606.cjs");
require("./AboutUs.component-890f3a1c.cjs");
const Icon = (props) => {
  const { classes, containerClasses, height, size, src, width } = props;
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
    "span",
    {
      className: `c-Icon d-inline-block ${containerClasses}`,
      style: {
        width: width || size || "1rem",
        height: height || size || "1rem"
      },
      children: /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
        "img",
        {
          className: `c-Icon__img${classes ? " " + classes : ""}`,
          src,
          alt: "Icon"
        }
      )
    }
  );
};
const TextInput = (props) => {
  const {
    classes,
    containerClasses,
    onBlur,
    onChange,
    onFocus,
    placeholder,
    type
  } = props;
  const [value, setValue] = require$$0.useState();
  const [focussed, setFocussed] = require$$0.useState(false);
  const onLocalChange = (event) => {
    setValue(event.target.value);
    onChange && onChange(event);
  };
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs(
    "div",
    {
      className: `c-TextInput position-relative w-100${focussed ? " focussed border-bottom-0" : ""}${containerClasses ? " " + containerClasses : ""}`,
      children: [
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
          "input",
          {
            type: type || "text",
            className: `c-TextInput__input w-100 h-100${classes ? " " + classes : ""}`,
            onChange: onLocalChange,
            onFocus: (...focusHandlerArgs) => {
              setFocussed(true);
              onFocus && onFocus(...focusHandlerArgs);
            },
            onBlur: (...focusHandlerArgs) => {
              setFocussed(false);
              onBlur && onBlur(...focusHandlerArgs);
            },
            placeholder: focussed ? "" : placeholder
          }
        ),
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
          "button",
          {
            className: `c-TextInput__clear-button position-absolute end-0 top-0 d-flex flex-row
          justify-content-center align-items-center h-100 border-0 bg-transparent${value ? " has-value" : ""}${focussed ? " border-bottom-0" : ""}`
          }
        )
      ]
    }
  );
};
const Search = (props) => {
  const { classes, data, placeholder } = props;
  const onChange = "onChange" in props && props.onChange;
  const showPopUp = "showPopUp" in props && props.showPopUp;
  const [filteredItems, setFilteredItems] = require$$0.useState();
  const [focusClass, setFocusClass] = require$$0.useState("");
  const onLocalChange = (event) => {
    if (showPopUp) {
      const filteredItems2 = helper.Helper.recrusiveFilter(
        data,
        event.target.value,
        false,
        ["label"]
      );
      setFilteredItems(filteredItems2);
      onChange && onChange(event, filteredItems2);
    } else {
      onChange && onChange(event, null);
    }
  };
  const filteredItemsRenders = filteredItems && filteredItems.map((item) => {
    return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("div", {});
  });
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs(
    "div",
    {
      className: `c-Search d-flex w-100 position-relative ${focusClass}${classes ? " " + classes : ""}`,
      children: [
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
          TextInput,
          {
            containerClasses: "form-component",
            classes: "c-Search__input p-1 bg-transparent border-0",
            onBlur: () => setFocusClass(""),
            onChange: onLocalChange,
            onFocus: () => setFocusClass("focussed"),
            placeholder: placeholder || "Search",
            type: "text"
          }
        ),
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
          Button,
          {
            content: /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(Icon, { src: "http://localhost:8080/icon/ai/AiOutlineSearch" }),
            classes: `search-button bg-transparent form-component${focusClass ? " border-bottom-0" : ""}`
          }
        ),
        (!onChange || showPopUp) && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
          "div",
          {
            className: `c-Search__search-results p-3 position-absolute top-100 start-0 w-100 bg-white border${focusClass ? "" : " h-0 overflow-hidden"}${filteredItemsRenders ? "" : " flex-center"}`,
            onClick: (e) => e.stopPropagation(),
            children: filteredItemsRenders || /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("i", { children: "Type to view results here" })
          }
        )
      ]
    }
  );
};
const Button = (props) => {
  const { classes, content } = props;
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("button", { className: `c-Button${classes ? " " + classes : ""}`, children: content });
};
module.exports = Search;
