import { j as jsxRuntimeExports } from "./jsx-runtime-5a50c612.js";
import { S as SelectionPill } from "./SelectionPill-27c278d7.js";
import "./AlphabetFilter.component-6891be70.js";
import "react";
import { H as Helper } from "./helper-6a654f8c.js";
import "./Users.component-471e19e0.js";
import "./Toast.component-2c91db7d.js";
import "./Testimonials.component-d89149a0.js";
import "./Team.component-e54f3f3c.js";
import "./Steps.component-fb614ec4.js";
import "./Stats.component-b52e2043.js";
import "./Snackbar.component-1f40b80f.js";
import "./SignInUp.component-60aa0bd7.js";
import "./Services.component-f17ec135.js";
import "./RichText.component-8c13163e.js";
import "./Reviews.component-2c041df5.js";
import "./Projects.component-4995023a.js";
import "./ProductInfo.component-6f4f0c4e.js";
import "./Pricing.component-c2d76578.js";
import "./Portfolio.component-0c3d2226.js";
import "./Notifications.component-2e7a825b.js";
import "./Newsletter.component-52531f4a.js";
import "./LogoClouds.component-bd581c43.js";
import "./Integrations.component-f49f3bee.js";
import "./InstaPhotos.component-6c3354ca.js";
import "./HowItWorks.component-ba9d9c22.js";
import "./Hero.component-addb168a.js";
import "./HttpCode.component-e0447052.js";
import "./Graph.component-dc7e23cf.js";
import "./GraphTiles.component-dac88886.js";
import "./Gallery.component-ff108003.js";
import "./Form.component-62eb5c58.js";
import "./Footer.component-2a844a60.js";
import "./Features.component-ae834147.js";
import "./Faq.component-33d5b133.js";
import "./Empty.component-c9aaf811.js";
import "./EcommProducts.component-acad1653.js";
import "./EcommOrders.component-1a424b01.js";
import "./Download.component-ddc16bd8.js";
import "./Dashboard.component-9ed086ac.js";
import "./Cookies.component-3b3e68b5.js";
import "./Content.component-5ccc42e8.js";
import "./Contact.component-ce5e0d0d.js";
import "./Careers.component-0d4ad0db.js";
import "./Card.component-49af79be.js";
import "./Cta.component-4b2a1643.js";
import "./Breadcrumbs.component-227f2f6c.js";
import "./Brands.component-b13c37b2.js";
import "./Blog.component-fba44e7a.js";
import "./Benefits.component-b71943a6.js";
import "./Banner.component-dbfc7209.js";
import "./Application.component-4340eb78.js";
import "./AboutUs.component-1dcbbd07.js";
const CategoryFilter = (props) => {
  const { categoryGroups, onCategorySelection } = props;
  const categoryRenders = (categories) => {
    return categories && /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter__pill-container", children: Array.from(categories.keys()).map((category) => /* @__PURE__ */ jsxRuntimeExports.jsx(
      SelectionPill,
      {
        classes: "rounded me-2 mb-3",
        data: /* @__PURE__ */ new Map([
          ["label", category]
        ]),
        size: "small",
        onClick: (data) => onCategorySelection(data, category)
      }
    )) });
  };
  const groupRenders = Array.from(categoryGroups.keys()).map(
    (group) => {
      return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "c-CategoryFilter__group", children: [
        /* @__PURE__ */ jsxRuntimeExports.jsx("label", { className: "c-CategoryFilter__label label", children: Helper.toCamelCase(group, " ", true) }),
        /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter__filters", children: categoryRenders(categoryGroups.get(group)) })
      ] });
    }
  );
  return /* @__PURE__ */ jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter", children: groupRenders });
};
export {
  CategoryFilter as default
};
