interface Options extends RequestInit {
    headers?: any;
    toggleLoader?: Function;
}
export default class Network {
    static get(url: string, queryParams: object, options: Options): Promise<{
        status: number;
        body: any;
    }>;
    static getStatic(url: string, queryParams: object | null, options: Options | null): Promise<{
        status: number;
        body: any;
    }>;
    static post(url: string, data: object, queryParams: object): Promise<{
        status: number;
        body: any;
    }>;
    static put(url: string, data: object, queryParams: object): Promise<{
        status: number;
        body: any;
    }>;
    static delete(url: string, queryParams: object): Promise<{
        status: number;
        body: any;
    }>;
    static crud(urlString: string, options: Options): Promise<{
        status: number;
        body: any;
    }>;
    static stringifyUrl(url: string, queryParams: any): string;
}
export {};
