"use strict";
const jsxRuntime = require("./jsx-runtime-ec586afa.cjs");
const require$$0 = require("react");
require("./DropDown.component-981da561.cjs");
const DropDown = (props) => {
  const { context, id, label, onSelectionChanged, options } = props;
  const [value, setValue] = require$$0.useState();
  const onLocalChange = (e) => {
    setValue(e.target.value);
    onSelectionChanged && onSelectionChanged(
      {
        value: e.target.value,
        data: options.find(
          (o) => (o.get("name") || o.get("label")) === e.target.value
        )
      },
      context
    );
  };
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs("div", { className: "c-DropDown w-100 mb-3", children: [
    label && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("label", { className: "c-DropDown__label label", htmlFor: id, children: label }),
    /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
      "select",
      {
        id,
        className: "c-DropDown__select form-component px-3 py-2 w-100",
        onChange: onLocalChange,
        children: options.map((option) => /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("option", { value: option.get("name") || option.get("label"), children: option.get("label") }))
      }
    )
  ] });
};
module.exports = DropDown;
