"use strict";
const jsxRuntime = require("./jsx-runtime-ec586afa.cjs");
const SelectionPill = require("./SelectionPill-fb43a034.cjs");
require("./AlphabetFilter.component-c8e95031.cjs");
require("react");
const helper = require("./helper-c4fbda62.cjs");
require("./Users.component-2df569a6.cjs");
require("./Toast.component-05b43768.cjs");
require("./Testimonials.component-59a34c7c.cjs");
require("./Team.component-dbfbef72.cjs");
require("./Steps.component-c289f782.cjs");
require("./Stats.component-e2e0309a.cjs");
require("./Snackbar.component-c65a0fcb.cjs");
require("./SignInUp.component-def4d17d.cjs");
require("./Services.component-815a7709.cjs");
require("./RichText.component-b5f5c1d7.cjs");
require("./Reviews.component-0e898f83.cjs");
require("./Projects.component-60383f3e.cjs");
require("./ProductInfo.component-a918aa46.cjs");
require("./Pricing.component-06fc1798.cjs");
require("./Portfolio.component-fa26a907.cjs");
require("./Notifications.component-aef2c763.cjs");
require("./Newsletter.component-7db05a14.cjs");
require("./LogoClouds.component-41dea52a.cjs");
require("./Integrations.component-3856a44f.cjs");
require("./InstaPhotos.component-84a2aaef.cjs");
require("./HowItWorks.component-3059cbbf.cjs");
require("./Hero.component-19300fa6.cjs");
require("./HttpCode.component-3a95e62d.cjs");
require("./Graph.component-93c64f77.cjs");
require("./GraphTiles.component-87965f2c.cjs");
require("./Gallery.component-f11e0a8c.cjs");
require("./Form.component-578544a5.cjs");
require("./Footer.component-4be9ebc1.cjs");
require("./Features.component-bd0480fa.cjs");
require("./Faq.component-50630a66.cjs");
require("./Empty.component-105a7c7d.cjs");
require("./EcommProducts.component-e157e334.cjs");
require("./EcommOrders.component-5c65ef9f.cjs");
require("./Download.component-a8a3a1e8.cjs");
require("./Dashboard.component-f7bf9026.cjs");
require("./Cookies.component-04b11514.cjs");
require("./Content.component-9e1673a6.cjs");
require("./Contact.component-db87cf01.cjs");
require("./Careers.component-a12c6724.cjs");
require("./Card.component-ff2ab67d.cjs");
require("./Cta.component-e8a1b5d9.cjs");
require("./Breadcrumbs.component-4f9beea4.cjs");
require("./Brands.component-0824e0e9.cjs");
require("./Blog.component-e6f2bc76.cjs");
require("./Benefits.component-fdd97e2f.cjs");
require("./Banner.component-30b783b1.cjs");
require("./Application.component-d2098606.cjs");
require("./AboutUs.component-890f3a1c.cjs");
const CategoryFilter = (props) => {
  const { categoryGroups, onCategorySelection } = props;
  const categoryRenders = (categories) => {
    return categories && /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter__pill-container", children: Array.from(categories.keys()).map((category) => /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx(
      SelectionPill.SelectionPill,
      {
        classes: "rounded me-2 mb-3",
        data: /* @__PURE__ */ new Map([
          ["label", category]
        ]),
        size: "small",
        onClick: (data) => onCategorySelection(data, category)
      }
    )) });
  };
  const groupRenders = Array.from(categoryGroups.keys()).map(
    (group) => {
      return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsxs("div", { className: "c-CategoryFilter__group", children: [
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("label", { className: "c-CategoryFilter__label label", children: helper.Helper.toCamelCase(group, " ", true) }),
        /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter__filters", children: categoryRenders(categoryGroups.get(group)) })
      ] });
    }
  );
  return /* @__PURE__ */ jsxRuntime.jsxRuntimeExports.jsx("div", { className: "c-CategoryFilter", children: groupRenders });
};
module.exports = CategoryFilter;
