import { j as jsxRuntimeExports } from "./jsx-runtime-5a50c612.js";
import { useState } from "react";
import "./DropDown.component-a587c682.js";
const DropDown = (props) => {
  const { context, id, label, onSelectionChanged, options } = props;
  const [value, setValue] = useState();
  const onLocalChange = (e) => {
    setValue(e.target.value);
    onSelectionChanged && onSelectionChanged(
      {
        value: e.target.value,
        data: options.find(
          (o) => (o.get("name") || o.get("label")) === e.target.value
        )
      },
      context
    );
  };
  return /* @__PURE__ */ jsxRuntimeExports.jsxs("div", { className: "c-DropDown w-100 mb-3", children: [
    label && /* @__PURE__ */ jsxRuntimeExports.jsx("label", { className: "c-DropDown__label label", htmlFor: id, children: label }),
    /* @__PURE__ */ jsxRuntimeExports.jsx(
      "select",
      {
        id,
        className: "c-DropDown__select form-component px-3 py-2 w-100",
        onChange: onLocalChange,
        children: options.map((option) => /* @__PURE__ */ jsxRuntimeExports.jsx("option", { value: option.get("name") || option.get("label"), children: option.get("label") }))
      }
    )
  ] });
};
export {
  DropDown as default
};
